## aioftp 0.21.4

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/aioftp.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/aioftp.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/aioftp"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/aioftp"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## aioftp 0.18.1

=== debian/changelog ===
aioftp (0.18.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Adam Cecile ]
  * New upstream release.

 -- Adam Cecile <acecile@le-vert.net>  Mon, 05 Oct 2020 10:21:30 +0200

aioftp (0.17.2-1) unstable; urgency=low

  * Initial release (Closes: #966377).

 -- Adam Cecile <acecile@le-vert.net>  Wed, 26 Aug 2020 16:05:01 +0200

=== debian/control ===
Source: aioftp
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Adam Cecile <acecile@le-vert.net>
Build-Depends: debhelper-compat (= 12),
 dh-sequence-sphinxdoc <!nodoc>,
 python3-doc <!nodoc>,
 dh-python,
 python3-all,
 python3-setuptools,
 python3-sphinx <!nodoc>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-trustme <!nocheck>,
 python3-async-timeout <!nocheck>,
Standards-Version: 4.5.0
Homepage: https://github.com/aio-libs/aioftp
Vcs-Browser: https://salsa.debian.org/python-team/packages/aioftp
Vcs-Git: https://salsa.debian.org/python-team/packages/aioftp.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-aioftp
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: python-aioftp-doc
Description: FTP client and server for asyncio (Python 3)
 Library implementing FTP protocol, both client and server for Python asyncio
 module.
 .
 Supported commands as client: USER, PASS, ACCT, PWD, CWD, CDUP, MKD, RMD,
 MLSD, MLST, RNFR, RNTO, DELE, STOR, APPE, RETR, TYPE, PASV, ABOR, QUIT,
 REST, LIST (as fallback).
 .
 Supported commands as server: USER, PASS, QUIT, PWD, CWD, CDUP, MKD, RMD,
 MLSD, LIST (non-standard), MLST, RNFR, RNTO, DELE, STOR, RETR,
 TYPE ("I" and "A"), PASV, ABOR, APPE, REST.
 .
 This package installs the library for Python 3.

Package: python-aioftp-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: FTP client and server for asyncio (common documentation)
 Library implementing FTP protocol, both client and server for Python asyncio
 module.
 .
 Supported commands as client: USER, PASS, ACCT, PWD, CWD, CDUP, MKD, RMD,
 MLSD, MLST, RNFR, RNTO, DELE, STOR, APPE, RETR, TYPE, PASV, ABOR, QUIT,
 REST, LIST (as fallback).
 .
 Supported commands as server: USER, PASS, QUIT, PWD, CWD, CDUP, MKD, RMD,
 MLSD, LIST (non-standard), MLST, RNFR, RNTO, DELE, STOR, RETR,
 TYPE ("I" and "A"), PASV, ABOR, APPE, REST.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=aioftp
export PYBUILD_AFTER_INSTALL=rm -rv {destdir}{install_dir}/coverage.xml {destdir}{install_dir}/.coverage

%:
	dh $@ --with python3 --buildsystem=pybuild


override_dh_auto_clean:
	rm -rf .pytest_cache
	dh_auto_clean

override_dh_auto_build:
	dh_auto_build
ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html
endif

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_PROFILES)),)
	dh_auto_test
endif

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%aioftp-$1.tar.gz%" \
   https://github.com/aio-libs/aioftp/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## aioftp 0.21.4

=== debian/changelog ===
aioftp (0.21.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.21.4. Closes: #1026551

 -- Ole Streicher <olebole@debian.org>  Mon, 16 Jan 2023 09:06:13 +0100

aioftp (0.18.1-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 28 Oct 2022 20:23:20 +0100

aioftp (0.18.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-aioftp-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 14 Oct 2022 11:35:23 +0100

aioftp (0.18.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 28 May 2022 00:46:40 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Adam Cecile <acecile@le-vert.net>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  dh-sequence-sphinxdoc <!nodoc>,
  python3-doc <!nodoc>,
  dh-python,
@@ -15,7 +15,7 @@
  python3-pytest-cov <!nocheck>,
  python3-trustme <!nocheck>,
  python3-async-timeout <!nocheck>,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/aio-libs/aioftp
 Vcs-Browser: https://salsa.debian.org/python-team/packages/aioftp
 Vcs-Git: https://salsa.debian.org/python-team/packages/aioftp.git
@@ -44,6 +44,7 @@
 Architecture: all
 Section: doc
 Depends: ${sphinxdoc:Depends}, ${misc:Depends}
+Multi-Arch: foreign
 Description: FTP client and server for asyncio (common documentation)
  Library implementing FTP protocol, both client and server for Python asyncio
  module.

## aioftp 0.23.1

=== debian/changelog ===
aioftp (0.23.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - server: fix pathlib `relative_to` issue (closes: #1082132).
  * Use pybuild-plugin-pyproject.

 -- Colin Watson <cjwatson@debian.org>  Mon, 04 Nov 2024 23:51:33 +0000

## aioftp 0.24.1

=== docs/requirements.txt ===
sphinx==5.3.0
alabaster==0.7.13
docutils==0.17.1

=== debian/changelog ===
aioftp (0.24.1-2) unstable; urgency=medium

  * Team upload.
  * Fix build with nocheck.
  * Update Standards-Version.

 -- Santiago Vila <sanvila@debian.org>  Fri, 11 Apr 2025 17:30:00 +0200

aioftp (0.24.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sat, 14 Dec 2024 23:47:50 +0000

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  dh-sequence-sphinxdoc <!nodoc>,
  python3-doc <!nodoc>,
  dh-python,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
  python3-sphinx <!nodoc>,
@@ -15,7 +16,7 @@
  python3-pytest-cov <!nocheck>,
  python3-trustme <!nocheck>,
  python3-async-timeout <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/aio-libs/aioftp
 Vcs-Browser: https://salsa.debian.org/python-team/packages/aioftp
 Vcs-Git: https://salsa.debian.org/python-team/packages/aioftp.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=aioftp
export PYBUILD_AFTER_INSTALL=rm -rfv {destdir}{install_dir}/.coverage

%:
	dh $@ --with python3 --buildsystem=pybuild


override_dh_auto_clean:
	rm -rf .pytest_cache
	dh_auto_clean

override_dh_auto_build:
	dh_auto_build
ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	PYTHONPATH=src http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html
endif

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_PROFILES)),)
	dh_auto_test
endif

## aioftp 0.26.2

=== docs/requirements.txt ===
alabaster==0.7.13
docutils==0.17.1
sphinx==5.3.0
typing-extensions>=4.13.2; python_version < '3.11'

=== debian/changelog ===
aioftp (0.26.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use dh-sequence-python3.
  * Switch to autopkgtest-pkg-pybuild.

 -- Colin Watson <cjwatson@debian.org>  Sun, 10 Aug 2025 11:50:56 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Adam Cecile <acecile@le-vert.net>
 Build-Depends: debhelper-compat (= 13),
+ dh-sequence-python3,
  dh-sequence-sphinxdoc <!nodoc>,
  python3-doc <!nodoc>,
- dh-python,
  pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
@@ -14,13 +14,14 @@
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
  python3-pytest-cov <!nocheck>,
+ python3-pytest-mock <!nocheck>,
  python3-trustme <!nocheck>,
  python3-async-timeout <!nocheck>,
 Standards-Version: 4.7.2
 Homepage: https://github.com/aio-libs/aioftp
 Vcs-Browser: https://salsa.debian.org/python-team/packages/aioftp
 Vcs-Git: https://salsa.debian.org/python-team/packages/aioftp.git
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Rules-Requires-Root: no
 
 Package: python3-aioftp

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,7 @@
 export PYBUILD_AFTER_INSTALL=rm -rfv {destdir}{install_dir}/.coverage
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
-
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_clean:
 	rm -rf .pytest_cache

## aioftp 0.27.2

=== debian/changelog ===
aioftp (0.27.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.

 -- Colin Watson <cjwatson@debian.org>  Tue, 25 Nov 2025 12:53:49 +0000

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,6 @@
 Vcs-Browser: https://salsa.debian.org/python-team/packages/aioftp
 Vcs-Git: https://salsa.debian.org/python-team/packages/aioftp.git
 Testsuite: autopkgtest-pkg-pybuild
-Rules-Requires-Root: no
 
 Package: python3-aioftp
 Architecture: all
